{% extends "base.htm" %}
{% load i18n %}
{% load staticfiles %}

{% block head %}
<script src="{% static 'dropzone/dropzone.min.js' %}"></script>
<link rel="stylesheet" type="text/css" href="{% static 'dropzone/dropzone.min.css' %}"></script>
{% endblock %}

{% block nav_menu %}
    {% if perms.auth.user.change or user.is_superuser %}
        <li><a href="{% url "admin:auth_user_change" profile_user.id %}">{% trans "User admin"%}</a></li>
    {% endif %}
{% endblock %}

{% block contents %}
<form action="{% url "svghost:upload" %}" method="post">
    {% csrf_token %}
    <div class="dropzone" id="dropzone_form" action="{% url "svghost:upload" %}">
        <div class="fallback">
            <input name="image" type="file" />
        </div>
    </div>
    <input type="submit" id="submit" />
</form>

<script type="text/javascript">
    // TODO page for bulk uploads
    Dropzone.options.dropzoneForm = {
        url:                "{% url "svghost:upload" %}",
        autoProcessQueue:   false,
        uploadMultiple:     false,
        parallelUploads:    1,
        maxFiles:           1,
        paramName:          'image',
        acceptedFiles:      'image/*',  // TODO: accept based on db permissions

        init: function()
        {
            var button_submit = document.querySelector("#submit");
            button_submit.style.visibility = "hidden";
            var dropzone_form = this;

            button_submit.addEventListener("click", function() {
                dropzone_form.processQueue();
            });

            this.on("addedfile", function() {
                button_submit.style.visibility = "visible";
                if ( this.files.length > this.maxFiles )
                    this.removeFile(this.files[0]);
            });

        },

        maxfilesexceeded: function(file)
        {
            this.removeFile(this.files[0]);
            this.addFile(file);
        }
    };
</script>
{% endblock %}
